XtError(3) | Library Functions Manual | XtError(3)

# NAME

XtError, XtSetErrorHandler, XtSetWarningHandler, XtWarning - low-level error handlers

# SYNTAX

void XtError(String message);
void XtSetErrorHandler(XtErrorHandler handler):
void XtSetWarningHandler(XtErrorHandler handler);
void XtWarning(String message);

# ARGUMENTS

message
  Specifies the nonfatal error message that is to be reported. or the nonfatal error procedure, which usually returns

handler
  Specifies the new fatal error procedure, which should not return, .

message
  Specifies the message that is to be reported.

# DESCRIPTION

The XtError function has been superceded by XtAppError.
The XtSetErrorHandler function has been superceded by XtAppSetErrorHandler.
The XtSetWarningHandler function has been superceded by XtAppSetWarningHandler.
The XtWarning function has been superceded by XtAppWarning.

# SEE ALSO

XtAppError(3)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

X Version 11 | XT COMPATIBILITY FUNCTIONS